# - Locate the ncurses library
# Defines:
#
#  NCURSES_FOUND
#  NCURSES_INCLUDE_DIR
#  NCURSES_INCLUDE_DIRS (not cached)
#  NCURSES_LIBRARY
#  NCURSES_LIBRARIES (not cached)


if(NOT NCURSES_FOUND)

    find_path(NCURSES_INCLUDE_DIR ncurses.h
            HINTS ENV NCURSES_ROOT_DIR NCURSES_INSTALL_DIR
            PATH_SUFFIXES include include/ncurses)

    find_library(NCURSES_LIBRARY ncurses
            HINTS ENV NCURSES_ROOT_DIR NCURSES_INSTALL_DIR
            PATH_SUFFIXES lib)

    find_library(TINFO_LIBRARY tinfo
            HINTS ENV NCURSES_ROOT_DIR NCURSES_INSTALL_DIR
            PATH_SUFFIXES lib)

    set(NCURSES_LIBRARIES ${NCURSES_LIBRARY} ${TINFO_LIBRARY})
    set(NCURSES_INCLUDE_DIRS ${NCURSES_INCLUDE_DIR})

    INCLUDE(FindPackageHandleStandardArgs)
    FIND_PACKAGE_HANDLE_STANDARD_ARGS(Ncurses DEFAULT_MSG NCURSES_INCLUDE_DIRS NCURSES_LIBRARIES)

    mark_as_advanced(NCURSES_FOUND NCURSES_INCLUDE_DIRS NCURSES_LIBRARIES)

    list(REMOVE_DUPLICATES NCURSES_LIBRARIES)
    list(REMOVE_DUPLICATES NCURSES_INCLUDE_DIRS)

endif()
